## EmpathyContactListStore

EmpathyContactListStore

## Synopsis

    enum                EmpathyContactListStoreSort;
    enum                EmpathyContactListStoreCol;
                        EmpathyContactListStore;
    EmpathyContactListStore * empathy_contact_list_store_new
                                                            (EmpathyContactList *list_iface);
    EmpathyContactList * empathy_contact_list_store_get_list_iface
                                                            (EmpathyContactListStore *store);
    gboolean            empathy_contact_list_store_get_show_offline
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_show_offline
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_offline);
    gboolean            empathy_contact_list_store_get_show_avatars
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_show_avatars
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_avatars);
    gboolean            empathy_contact_list_store_get_show_groups
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_show_groups
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_groups);
    gboolean            empathy_contact_list_store_get_is_compact
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_is_compact
                                                            (EmpathyContactListStore *store,
                                                             gboolean is_compact);
    EmpathyContactListStoreSort  empathy_contact_list_store_get_sort_criterium
                                                            (EmpathyContactListStore *store);
    void                empathy_contact_list_store_set_sort_criterium
                                                            (EmpathyContactListStore *store,
                                                             EmpathyContactListStoreSort sort_criterium);
    gboolean            empathy_contact_list_store_row_separator_func
                                                            (GtkTreeModel *model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);
    gchar *             empathy_contact_list_store_get_parent_group
                                                            (GtkTreeModel *model,
                                                             GtkTreePath *path,
                                                             gboolean *path_is_group);
    gboolean            empathy_contact_list_store_search_equal_func
                                                            (GtkTreeModel *model,
                                                             gint column,
                                                             const gchar *key,
                                                             GtkTreeIter *iter,
                                                             gpointer search_data);

## Object Hierarchy

      GObject
       +----GtkTreeStore
             +----EmpathyContactListStore

## Implemented Interfaces

EmpathyContactListStore implements GtkBuildable, GtkTreeModel, GtkTreeDragSource, GtkTreeDragDest and GtkTreeSortable.

## Properties

      "contact-list"             EmpathyContactList*   : Read / Write / Construct Only
      "is-compact"               gboolean              : Read / Write
      "show-avatars"             gboolean              : Read / Write
      "show-groups"              gboolean              : Read / Write
      "show-offline"             gboolean              : Read / Write
      "sort-criterium"           EmpathyContactListStoreSort  : Read / Write

## Description

## Details

### enum EmpathyContactListStoreSort

    typedef enum {
    	EMPATHY_CONTACT_LIST_STORE_SORT_STATE,
    	EMPATHY_CONTACT_LIST_STORE_SORT_NAME
    } EmpathyContactListStoreSort;

### enum EmpathyContactListStoreCol

    typedef enum {
    	EMPATHY_CONTACT_LIST_STORE_COL_ICON_STATUS,
    	EMPATHY_CONTACT_LIST_STORE_COL_PIXBUF_AVATAR,
    	EMPATHY_CONTACT_LIST_STORE_COL_PIXBUF_AVATAR_VISIBLE,
    	EMPATHY_CONTACT_LIST_STORE_COL_NAME,
    	EMPATHY_CONTACT_LIST_STORE_COL_STATUS,
    	EMPATHY_CONTACT_LIST_STORE_COL_STATUS_VISIBLE,
    	EMPATHY_CONTACT_LIST_STORE_COL_CONTACT,
    	EMPATHY_CONTACT_LIST_STORE_COL_IS_GROUP,
    	EMPATHY_CONTACT_LIST_STORE_COL_IS_ACTIVE,
    	EMPATHY_CONTACT_LIST_STORE_COL_IS_ONLINE,
    	EMPATHY_CONTACT_LIST_STORE_COL_IS_SEPARATOR,
    	EMPATHY_CONTACT_LIST_STORE_COL_CAN_VOIP,
    	EMPATHY_CONTACT_LIST_STORE_COL_COUNT
    } EmpathyContactListStoreCol;

### EmpathyContactListStore

    typedef struct _EmpathyContactListStore EmpathyContactListStore;

### empathy_contact_list_store_new ()

    EmpathyContactListStore * empathy_contact_list_store_new
                                                            (EmpathyContactList *list_iface);

`list_iface` : |
Returns : |

### empathy_contact_list_store_get_list_iface ()

    EmpathyContactList * empathy_contact_list_store_get_list_iface
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_get_show_offline ()

    gboolean            empathy_contact_list_store_get_show_offline
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_show_offline ()

    void                empathy_contact_list_store_set_show_offline
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_offline);

`store` : |
`show_offline` : |

### empathy_contact_list_store_get_show_avatars ()

    gboolean            empathy_contact_list_store_get_show_avatars
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_show_avatars ()

    void                empathy_contact_list_store_set_show_avatars
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_avatars);

`store` : |
`show_avatars` : |

### empathy_contact_list_store_get_show_groups ()

    gboolean            empathy_contact_list_store_get_show_groups
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_show_groups ()

    void                empathy_contact_list_store_set_show_groups
                                                            (EmpathyContactListStore *store,
                                                             gboolean show_groups);

`store` : |
`show_groups` : |

### empathy_contact_list_store_get_is_compact ()

    gboolean            empathy_contact_list_store_get_is_compact
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_is_compact ()

    void                empathy_contact_list_store_set_is_compact
                                                            (EmpathyContactListStore *store,
                                                             gboolean is_compact);

`store` : |
`is_compact` : |

### empathy_contact_list_store_get_sort_criterium ()

    EmpathyContactListStoreSort  empathy_contact_list_store_get_sort_criterium
                                                            (EmpathyContactListStore *store);

`store` : |
Returns : |

### empathy_contact_list_store_set_sort_criterium ()

    void                empathy_contact_list_store_set_sort_criterium
                                                            (EmpathyContactListStore *store,
                                                             EmpathyContactListStoreSort sort_criterium);

`store` : |
`sort_criterium` : |

### empathy_contact_list_store_row_separator_func ()

    gboolean            empathy_contact_list_store_row_separator_func
                                                            (GtkTreeModel *model,
                                                             GtkTreeIter *iter,
                                                             gpointer data);

`model` : |
`iter` : |
`data` : |
Returns : |

### empathy_contact_list_store_get_parent_group ()

    gchar *             empathy_contact_list_store_get_parent_group
                                                            (GtkTreeModel *model,
                                                             GtkTreePath *path,
                                                             gboolean *path_is_group);

`model` : |
`path` : |
`path_is_group` : |
Returns : |

### empathy_contact_list_store_search_equal_func ()

    gboolean            empathy_contact_list_store_search_equal_func
                                                            (GtkTreeModel *model,
                                                             gint column,
                                                             const gchar *key,
                                                             GtkTreeIter *iter,
                                                             gpointer search_data);

`model` : |
`column` : |
`key` : |
`iter` : |
`search_data` : |
Returns : |

## Property Details

### The `"contact-list"` property

      "contact-list"             EmpathyContactList*   : Read / Write / Construct Only

The contact list iface.

### The `"is-compact"` property

      "is-compact"               gboolean              : Read / Write

Whether the contact list is in compact mode or not.

Default value: FALSE

### The `"show-avatars"` property

      "show-avatars"             gboolean              : Read / Write

Whether contact list should display avatars for contacts.

Default value: TRUE

### The `"show-groups"` property

      "show-groups"              gboolean              : Read / Write

Whether contact list should display contact groups.

Default value: TRUE

### The `"show-offline"` property

      "show-offline"             gboolean              : Read / Write

Whether contact list should display offline contacts.

Default value: FALSE

### The `"sort-criterium"` property

      "sort-criterium"           EmpathyContactListStoreSort  : Read / Write

The sort criterium to use for sorting the contact list.

Default value: EMPATHY_CONTACT_LIST_STORE_SORT_NAME